%define upstream_name    PerlIO-via-Timeout
%define upstream_version 0.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A PerlIO layer that adds read & write timeout to a handle
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(PerlIO::via)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP)
BuildRequires: perl(Time::Out)
BuildArch: noarch

%description
This package implements a PerlIO layer, that adds read / write timeout.
This can be useful to avoid blocking while accessing a handle (file,
socket, ...), and fail after some time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.320.0-3.mga6
+ Revision: 1031983
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.320.0-2.mga6
+ Revision: 969053
- Mageia 6 Mass Rebuild

* Thu Jul 30 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 859032
- update to 0.32

* Wed Jul 29 2015 sander85 <sander85> 0.310.0-1.mga6
+ Revision: 858892
- update to 0.31

* Sat Jul 04 2015 sander85 <sander85> 0.300.0-1.mga6
+ Revision: 850341
- update to 0.30

* Sun Oct 19 2014 pterjan <pterjan> 0.290.0-1.mga5
+ Revision: 791868
- imported package perl-PerlIO-via-Timeout


* Sun Oct 19 2014 cpan2dist 0.29-1mga
- initial mageia release, generated with cpan2dist
